@extends('adminlte::page')

@section('title', 'Pesquisa de Agendamentos')

@section('content_header')
    {{-- <a href="{{ route('agendamentos.create') }}" class="btn btn-success">Agendar</a>
    --}}
@endsection
{{-- @extends('admin.layouts.app')

@section('title', 'Pesquisa de Agendamentos')
--}}
@section('content')
    <link rel="stylesheet" href="/lib/bootstrap.min.css">
    <script src="/lib/jquery-1.12.2.min.js"></script>
    <script src="/lib/bootstrap.min.js"></script>
    <div class="card card-outline card-success">
        <div class="card-body">
            <form action="{{ route('agendamentos.search') }}" class="form form-inline" method="POST">
                @csrf
                <input type="text" name="filter" placeholder="Filtrar:" class="form-control"
                    value="{{ $filters['filter'] ?? '' }}">
                <button type="submit" class="btn btn-info">Pesquisar</button>
            </form>
        </div>
    </div>

    <div class="row">
        &nbsp&nbsp&nbsp
        <div class="info-box bg-warning" style="width: 30%">
            <span class="info-box-icon"><i class="far fa-flag"></i></span>
            <div class="info-box-content">
                <span class="info-box-text">Agendamentos</span>
                <span class="info-box-number">{{ $agendamentos->count() }}</span>
            </div>
        </div>
        {{-- &nbsp&nbsp&nbsp&nbsp&nbsp&nbsp
        <div class="info-box bg-success" style="width: 30%">
            <span class="info-box-icon"><i class="far fa-flag"></i></span>
            <div class="info-box-content">
                <span class="info-box-text">Agendamentos de Hoje</span>
                <span class="info-box-number">{{ $agendamentos->count() }}</span>
            </div>
        </div>--}}
    </div>

    <div class="card card-outline card-success">
        <div class="card-header">
            <h3 class="card-title"><b>AGENDAMENTOS</b></h3>
        </div>
        <!-- /.card-header -->
        <div class="card-body">
            <table class="table table-striped">
                <thead>
                    <tr>
                        <th>PROTOCOLO</th>
                        <th>MUNICÍPIO</th>
                        <th>DETENTOR</th>
                        <th>CPF</th>
                        <th>TÍTULO</th>
                        <th>DATA</th>
                        <th>HORA</th>
                        <th>LOCAL DA ENTREGA</th>
                        <th>AÇÕES</th>
                        {{-- <th>ATENDIMENTO</th> --}}
                    </tr>
                </thead>
                <tbody>
                    @foreach ($agendamentos as $agendamento)
                        <tr>
                            <td>{{ $agendamento->id }}</td>
                            <td>{{ $agendamento->municipio }}</td>
                            <td>{{ $agendamento->detentor }}</td>
                            <td>{{ $agendamento->cpf }}</td>
                            <td>{{ $agendamento->titulo }}</td>
                            <td>{{ date('d/m/Y', strtotime($agendamento->data)) }}</td>
                            <td>{{ $agendamento->hora }}</td>
                            <td>{{ $agendamento->escritorio }}</td>
                            <td>
                                {{-- <a href="" data-target="#modal-delete-{{ $agendamento->id }}" data-toggle="modal"><button
                                        class="btn btn-danger">Excluir</button></a> --}}

                                 <form
                                    action="{{ route('agendamentos.destroy', $agendamento->id) }}"
                                    method="put">
                                    @csrf
                                    <input type="hidden" name="atendido" value="true">
                                    <input type="hidden" name="id" value="{{ $agendamento->id }}">
                                    <input type="hidden" name="condicao" value="0">
                                    <button type="submit" class="btn btn-primary btn-sm">ATENDER</button>
                            </td>
                            {{-- <td>
                                            <a href="#" class="btn btn-info btn-sm">
                                                <span class="glyphicon glyphicon-ok"></span> Ok
                                            </a>
                                        </td>    
                                        </form> --}}
                                        
                                    </tr>
                                @endforeach
                            </tbody>
                        </table>
                        {{ $agendamentos->links() }}
        </div>
        <!-- /.card-body -->
        <div class="card-footer">
            The footer of the card
        </div>
        <!-- /.card-footer -->
    </div>



    <script type="text/javascript">
    </script>
    <!-- /.card -->

    {{-- <a href="{{ route('agendamentos.create') }}" class="btn btn-primary">Cadastrar</a>
    <hr>
    <form action="{{ route('agendamentos.search') }}" class="form form-inline" method="POST">
        @csrf
        <input type="text" name="filter" placeholder="Filtrar:" class="form-control" value="{{ $filters['filter'] ?? '' }}">
        <button type="submit" class="btn btn-info">Pesquisar</button>
    </form>

    <table class="table table-striped">
        <thead>
            <tr>
                <th>ID</th>
                <th>NOME</th>
                <th>CPF</th>
                <th>TELEFONE</th>
                <th>SERVIÇO</th>
                <th>DATA</th>
                <th width="100">AÇÕES</th>
            </tr>
        </thead>
        <tbody>
            @foreach ($agendamentos as $agendamento)
                <tr>
                    <td>{{ $agendamento->id }}</td>
                    <td>{{ $agendamento->nome }}</td>
                    <td>{{ $agendamento->cpf }}</td>
                    <td>{{ $agendamento->telefone }}</td>
                    <td>{{ $agendamento->servico }}</td>
                    <td>{{ $agendamento->data }}</td>

                    <td>
                        <a href="{{ route('agendamentos.edit', $agendamento->id) }}">Editar</a>
                        <a href="{{ route('agendamentos.show', $agendamento->id) }}">Detalhes</a>
                    </td>
                </tr>

            @endforeach
        </tbody>
    </table> --}}

    {{-- @if (isset($filters))
        {!! $agendamentos->appends($filters)->links() !!}
    @endif
    {!! $agendamentos->links() !!} --}}

@endsection
